//CGfxPitchLinePatch - [2020-04-13 11:57:46]
#ifndef _CGFXPITCHLINEPATCH_H_
#define _CGFXPITCHLINEPATCH_H_

#include "CFTTVector32.h"
#include "FTTVector.h"
#include "CFTTTexture.h"
#include "FTTUPtr.h"
#include "TPitchLineRect.h"
#include "TPitchLineCircle.h"

/*
001BD628 CGfxPitchLinePatch::CGfxPitchLinePatch()
001BD64A CGfxPitchLinePatch::CGfxPitchLinePatch(CFTTVector32,CFTTVector32)
001BD6A8 CGfxPitchLinePatch::CGfxPitchLinePatch(CGfxPitchLinePatch&&)
001BD688 CGfxPitchLinePatch::~CGfxPitchLinePatch()
001BCE3A CGfxPitchLinePatch::operator=(CGfxPitchLinePatch&&)
001BD138 CGfxPitchLinePatch::AddRect(TPitchLineRect)
001BD16E CGfxPitchLinePatch::AddCircle(TPitchLineCircle)
001BD1AC CGfxPitchLinePatch::IsDuplicate()
001BD1B8 CGfxPitchLinePatch::TestDuplicate(CGfxPitchLinePatch*)
001BD318 CGfxPitchLinePatch::SetActual(CGfxPitchLinePatch*)
001BD31C CGfxPitchLinePatch::GetActual()
001BD326 CGfxPitchLinePatch::CheckBlank()
001BD346 CGfxPitchLinePatch::IsBlank()
001BD34C CGfxPitchLinePatch::Render()
001BD400 CGfxPitchLinePatch::SetUV(float,float,float,float)
001BD43C CGfxPitchLinePatch::GetTexture()
001BD466 CGfxPitchLinePatch::Cleanup()
001BDEE4 CGfxPitchLinePatch::GetUV(float &,float &,float &,float &)
001BDF02 CGfxPitchLinePatch::GetCentre()
001BDF10 CGfxPitchLinePatch::GetDimensions()
001BDF1E CGfxPitchLinePatch::GetTransform()

0x60
*/

class CGfxPitchLinePatch {
public:
  CGfxPitchLinePatch();                                            //001BD628
  CGfxPitchLinePatch(CFTTVector32 vec32_1, CFTTVector32 vec32_2);  //001BD64A
  CGfxPitchLinePatch(CGfxPitchLinePatch &);                        //001BD6A8
  ~CGfxPitchLinePatch();                                           //001BD688
  CGfxPitchLinePatch &operator=(CGfxPitchLinePatch &&);            //001BCE3A
  void AddRect(TPitchLineRect);                                    //001BD138
  void AddCircle(TPitchLineCircle pCircle);                        //001BD16E
  bool IsDuplicate();                                              //001BD1AC
  bool TestDuplicate(CGfxPitchLinePatch *);                        //001BD1B8
  void SetActual(CGfxPitchLinePatch *);                            //001BD318
  CGfxPitchLinePatch *GetActual();                                 //001BD31C
  void CheckBlank();                                               //001BD326
  bool IsBlank();                                                  //001BD346
  void Render();                                                   //001BD34C
  void SetUV(float, float, float, float);                          //001BD400
  CFTTTexture *GetTexture();                                       //001BD43C
  void Cleanup();                                                  //001BD466
  void GetUV(float &, float &, float &, float &);                  //001BDEE4
  CFTTVector32 GetCentre();                                        //001BDF02
  CFTTVector32 GetDimensions();                                    //001BDF10
  uchar GetTransform();                                            //001BDF1E

  CGfxPitchLinePatch *pCGfxPitchLinePatch_0;
  FTTUPtr<CFTTTexture> pFTTUPtr_Texture_4;
  CFTTVector32 vec32_Centre_8;
  CFTTVector32 vec32_Dimensions_14;
  FTTVector<TPitchLineRect> tFTTVector_TPitchLineRect_20;
  FTTVector<TPitchLineCircle> tFTTVector_TPitchLineCircle_34;
  uchar uyTransform_48;
  uchar field_49;
  uchar field_4A;
  uchar field_4B;
  float fUV_x_4C;
  float fUV_y_50;
  float fUV_z_54;
  float fUV_w_58;
  bool bIsBlank_5C;
  uchar field_5D;
  uchar field_5E;
  uchar field_5F;
};

#endif  //_CGFXPITCHLINEPATCH_H_